Endpoints
Don't be that person
Fetch a stores Id {storeId}
get
Responses
200
An active store Id
application/json
idstringRequired
get/wishlist/storeid/{storeMyshopifyDomain}
GET /wishlist/storeid/{storeMyshopifyDomain} HTTP/1.1
Host: wishlist.plutocracy.io
Accept: */*
200
An active store Id
{
"id": "text"
}Fetch a wishlist by a users Email
post
Responses
201
An active Wishlist for a given user Email
application/json
wishlistIdstringRequired
namestringRequired
customerIdstringRequired
numberstringRequired
post/wishlist/email/{storeId}
POST /wishlist/email/{storeId} HTTP/1.1
Host: wishlist.plutocracy.io
Accept: */*
201
An active Wishlist for a given user Email
{
"wishlistId": "text",
"name": "text",
"customerId": "text",
"number": "text",
"events": [
{
"eventType": "wishlist/add",
"objectId": "text",
"metaBody": {
"variantId": "text",
"quantity": "text",
"price": "text"
},
"eventBody": {}
}
]
}Fetch a wishlist by a wishlist Id
post
Responses
200
An active Wishlist for a given Wishlist Id
application/json
wishlistIdstringRequired
namestringRequired
customerIdstringRequired
numberstringRequired
post/wishlist/id/{storeId}
POST /wishlist/id/{storeId} HTTP/1.1
Host: wishlist.plutocracy.io
Accept: */*
200
An active Wishlist for a given Wishlist Id
{
"wishlistId": "text",
"name": "text",
"customerId": "text",
"number": "text",
"events": [
{
"eventType": "wishlist/add",
"objectId": "text",
"metaBody": {
"variantId": "text",
"quantity": "text",
"price": "text"
},
"eventBody": {}
}
]
}Delete a wishlist by a wishlist Id
delete
Path parameters
storeIdstringRequired
wishlistIdstringRequired
Responses
200
Delete a Wishlist
No content
delete/wishlist/event/{storeId}/{wishlistId}
DELETE /wishlist/event/{storeId}/{wishlistId} HTTP/1.1
Host: wishlist.plutocracy.io
Accept: */*
200
Delete a Wishlist
No content
Create an event on a wishlist
post
Body
storeIdstringRequired
eventobjectRequired
eventTypestring · enumRequiredPossible values:
wishlistIdstring · nullableRequired
emailstring · nullableRequired
namestring · nullableRequired
Responses
201Success
No content
post/wishlist/event/{storeId}
POST /wishlist/event/{storeId} HTTP/1.1
Host: wishlist.plutocracy.io
Content-Type: application/json
Accept: */*
Content-Length: 166
{
"storeId": "text",
"event": {},
"eventType": "wishlist/add",
"meta": {
"variantId": "text",
"quantity": "text",
"price": "text"
},
"wishlistId": "text",
"email": "text",
"name": "text"
}201Success
No content
Last updated